Currently the Issues autocompleter only matches an exact issue is or searches the subject. It should also
search the id field, so "10" will show issue for: 10, 100, 101, 1010, etc.

Associated revisions

2011-03-14 01:11 am - Eric Davis

[#280] Include matching issue ids in the auto_completer.

Using SQL CAST() to convert the issue ids to strings so LIKE will work

properly.

History

2011-03-14 12:20 am - Eric Davis

- Status changed from Open to Ready for review

| fixed this with a SQL CAST and an extra condition in the auto complete. Tests pass on Postgres.

Ready for review: https://github.com/chiliproject/chiliproject/pull/23

2011-03-14 08:32 am - Felix Schéfer

- Target version set to 1.2.0

- Status changed from Ready for review to Closed

The tests passed on SQLite

2020-10-25

and MySQL too, merged.
